#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TurretPosCFGData
{
	//ID
	int mID;
	//X×ø±ê
	int mX;
	//Y×ø±ê
	int mY;
	//Ðý×ª
	bool mIsFlippedY;
};

class Fish_TurretPosCFG
{
public:
private:
	static std::auto_ptr<Fish_TurretPosCFG> msSingleton;
public:
	int GetCount();
	const Fish_TurretPosCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TurretPosCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TurretPosCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TurretPosCFGData> mMapData;
};
